MOUNT_SMBFS(8)

NAME
mount_smbfs - mount a shared resource from an SMB/CIFS file server

SYNOPSIS
mount_smbfs [-E cs1:cs2] [-I host] [-L locale] [-M crights:srights] [-N] [-O cowner:cgroup/sowner:sgroup] [-R retrycount] [-T timeout] [-W workgroup] [-c case] [-d mode] [-f mode] [-g gid] [-n opt] [-u uid] //user@server/share node

DESCRIPTION
The mount_smbfs command mounts a share from a remote server using SMB/CIFS protocol.

The options are as follows:

-E cs1:cs2
    Specifies local (cs1) and server's (cs2) character sets.

-I host
    Do not use NetBIOS name resolver and connect directly to host, which can be either a valid DNS name or an IP address.

-L locale
    Use locale for lower/upper case conversion routines. Set the locale for case conversion. By default, mount_smbfs tries to use an environment variable LC_* to determine it.

-M crights:srights
    Assign access rights to the newly created connection.

-N  Do not ask for a password. At run time, mount_smbfs reads the ~/.nsmbrc file for additional configuration parameters and a password. If no password is found, mount_smbfs prompts for it.

-O cowner:cgroup/sowner:sgroup
    Assign owner/group attributes to the newly created connection.

-R retrycount
    How many retries should be done before the SMB requester decides to drop the connection.

-T timeout
    Timeout in seconds for each request.

-W workgroup
    This option specifies the workgroup to be used in the authentication request.

-c case
    Set a case option which affects name representation. case can be one of the following:

    Value
        Meaning

    l   All existing file names are converted to lower case. Newly created file gets a lower case.

    u   All existing file names are converted to upper case. Newly created file gets an upper case.

-f mode, -d mode
    Specify permissions that should be assigned to files and directories. The values must be specified as octal numbers. Default value for the file mode is taken from mount point, default value for the directory mode adds execute permission where the file mode gives read permission.

    Note that these permissions can differ from the rights granted by SMB server.

-u uid, -g gid
    User ID and group ID assigned to files. The default are owner and group IDs from the directory where the volume is mounted.

//user@server/share
    The mount_smbfs command will use server as the NetBIOS name of remote computer, user as the remote user name and share as the resource name on a remote server. If your connections are refused, try using the -I option and use a server name of ‘*SMBSERVER’.

node
    Path to mount point.

FILES
/etc/nsmb.conf
    System wide parameters for smbfs mounts.
~/.nsmbrc
    Keeps static parameters for connections and other information. See /usr/share/examples/smbfs/dot.nsmbrc for details.

EXAMPLES
The following example illustrate how to connect to SMB server SAMBA as user GUEST, and mount shares PUBLIC and TMP:

    mount_smbfs -I samba.mydomain.com //guest@samba/public /smb/public
    mount_smbfs -I 192.168.20.3 -E koi8-r:cp866 //guest@samba/tmp /smb/tmp

If you keep on getting "Connection reset by peer" errors, try:

    mount_smbfs -N -I 10.0.0.4 //'*SMBSERVER'/tmp /smb/tmp

It is possible to use fstab(5) for smbfs mounts:

    //guest@samba/public    /smb/public     smbfs  rw,noauto 0   0

SEE ALSO
smbutil(1), mount(8)

HISTORY
Support for SMBFS first appeared in FreeBSD 4.4. It has been ported to NetBSD and first appeared in NetBSD 2.0.

AUTHORS
Boris Popov <bp@butya.kz>, <bp@FreeBSD.org>. NetBSD port done by Matt Debergalis <deberg@NetBSD.org>, and Jaromir Dolecek <jdolecek@NetBSD.org>.

BUGS
The -E option works only if you mount with rump_smbfs(8) instead of mount_smbfs.

The -c option is not implemented yet. It is silently ignored for now.